---
lang: en
title: 'API docs: rest.restrouter.add'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/strongloop/loopback-next/tree/master/packages/rest
permalink: /doc/en/lb4/apidocs.rest.restrouter.add.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [RestRouter](./rest.restrouter.md) &gt; [add](./rest.restrouter.add.md)

## RestRouter.add() method

Add a route to the router

<b>Signature:</b>

```typescript
add(route: RouteEntry): void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  route | [RouteEntry](./rest.routeentry.md) | A route entry |

<b>Returns:</b>

void


